opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CvGBTrees Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvGBTrees:

## Public Types
enum | { SQUARED_LOSS =0, ABSOLUTE_LOSS, HUBER_LOSS =3, DEVIANCE_LOSS }

## Public Member Functions
virtual float | calc_error (CvMLData *_data, int type, std::vector< float > *resp=0)
virtual CV_WRAP void | clear ()
CV_WRAP | CvGBTrees ()
| CvGBTrees (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvGBTreesParams params=CvGBTreesParams())
CV_WRAP | CvGBTrees (const cv::Mat &trainData, int tflag, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), const cv::Mat &varType=cv::Mat(), const cv::Mat &missingDataMask=cv::Mat(), CvGBTreesParams params=CvGBTreesParams())
virtual float | predict (const CvMat *sample, const CvMat *missing=0, CvMat *weakResponses=0, CvSlice slice=CV_WHOLE_SEQ, int k=-1) const
virtual CV_WRAP float | predict (const cv::Mat &sample, const cv::Mat &missing=cv::Mat(), const cv::Range &slice=cv::Range::all(), int k=-1) const
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvGBTreesParams params=CvGBTreesParams(), bool update=false)
virtual bool | train (CvMLData *data, CvGBTreesParams params=CvGBTreesParams(), bool update=false)
virtual CV_WRAP bool | train (const cv::Mat &trainData, int tflag, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), const cv::Mat &varType=cv::Mat(), const cv::Mat &missingDataMask=cv::Mat(), CvGBTreesParams params=CvGBTreesParams(), bool update=false)
virtual void | write (CvFileStorage *fs, const char *name) const
virtual | ~CvGBTrees ()
Public Member Functions inherited from CvStatModel
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual | ~CvStatModel ()

## Protected Member Functions
virtual void | change_values (CvDTree *tree, const int k=0)
virtual void | do_subsample ()
virtual void | find_gradient (const int k=0)
virtual float | find_optimal_value (const CvMat *_Idx)
CvDTreeNode ** | GetLeaves (const CvDTree *dtree, int &len)
void | leaves_get (CvDTreeNode **leaves, int &count, CvDTreeNode *node)
virtual bool | problem_type () const
virtual void | read_params (CvFileStorage *fs, CvFileNode *fnode)
virtual void | write_params (CvFileStorage *fs) const

## Protected Attributes
float | base_value
int | class_count
CvMat * | class_labels
CvDTreeTrainData * | data
float | delta
CvMat * | missing
CvMat * | orig_response
CvGBTreesParams | params
cv::RNG * | rng
CvMat * | sample_idx
CvMat * | subsample_test
CvMat * | subsample_train
CvMat * | sum_response
CvMat * | sum_response_tmp
CvSeq ** | weak
CvMat * | weak_eval
Protected Attributes inherited from CvStatModel
const char * | default_model_name

## Member Enumeration Documentation

anonymous enum

Enumerator:

  SQUARED_LOSS |
  ABSOLUTE_LOSS |
  HUBER_LOSS |
  DEVIANCE_LOSS |

## Constructor & Destructor Documentation

CV_WRAP CvGBTrees::CvGBTrees | ( |  | ) |

CvGBTrees::CvGBTrees | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvGBTreesParams | params = `CvGBTreesParams()`
| ) |  |

virtual CvGBTrees::~CvGBTrees | ( |  | ) |
| virtual

CV_WRAP CvGBTrees::CvGBTrees | ( | const cv::Mat & | trainData,
|  | int | tflag,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | const cv::Mat & | varType = `cv::Mat()`,
|  | const cv::Mat & | missingDataMask = `cv::Mat()`,
|  | CvGBTreesParams | params = `CvGBTreesParams()`
| ) |  |

## Member Function Documentation

virtual float CvGBTrees::calc_error | ( | CvMLData * | _data,
|  | int | type,
|  | std::vector< float > * | resp = `0`
| ) |  |
| virtual

virtual void CvGBTrees::change_values | ( | CvDTree * | tree,
|  | const int | k = `0`
| ) |  |
| protected virtual

virtual CV_WRAP void CvGBTrees::clear | ( |  | ) |
| virtual

Reimplemented from CvStatModel.

virtual void CvGBTrees::do_subsample | ( |  | ) |
| protected virtual

virtual void CvGBTrees::find_gradient | ( | const int | k = `0` | ) |
| protected virtual

virtual float CvGBTrees::find_optimal_value | ( | const CvMat * | _Idx | ) |
| protected virtual

CvDTreeNode** CvGBTrees::GetLeaves | ( | const CvDTree * | dtree,
|  | int & | len
| ) |  |
| protected

void CvGBTrees::leaves_get | ( | CvDTreeNode ** | leaves,
|  | int & | count,
|  | CvDTreeNode * | node
| ) |  |
| protected

virtual float CvGBTrees::predict | ( | const CvMat * | sample,
|  | const CvMat * | missing = `0`,
|  | CvMat * | weakResponses = `0`,
|  | CvSlice | slice = `CV_WHOLE_SEQ`,
|  | int | k = `-1`
| ) |  | const
| virtual

virtual CV_WRAP float CvGBTrees::predict | ( | const cv::Mat & | sample,
|  | const cv::Mat & | missing = `cv::Mat()`,
|  | const cv::Range & | slice = `cv::Range::all()`,
|  | int | k = `-1`
| ) |  | const
| virtual

virtual bool CvGBTrees::problem_type | ( |  | ) | const
| protected virtual

virtual void CvGBTrees::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  |
| virtual

Reimplemented from CvStatModel.

virtual void CvGBTrees::read_params | ( | CvFileStorage * | fs,
|  | CvFileNode * | fnode
| ) |  |
| protected virtual

virtual bool CvGBTrees::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvGBTreesParams | params = `CvGBTreesParams()`,
|  | bool | update = `false`
| ) |  |
| virtual

virtual bool CvGBTrees::train | ( | CvMLData * | data,
|  | CvGBTreesParams | params = `CvGBTreesParams()`,
|  | bool | update = `false`
| ) |  |
| virtual

virtual CV_WRAP bool CvGBTrees::train | ( | const cv::Mat & | trainData,
|  | int | tflag,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | const cv::Mat & | varType = `cv::Mat()`,
|  | const cv::Mat & | missingDataMask = `cv::Mat()`,
|  | CvGBTreesParams | params = `CvGBTreesParams()`,
|  | bool | update = `false`
| ) |  |
| virtual

virtual void CvGBTrees::write | ( | CvFileStorage * | fs,
|  | const char * | name
| ) |  | const
| virtual

Reimplemented from CvStatModel.

virtual void CvGBTrees::write_params | ( | CvFileStorage * | fs | ) | const
| protected virtual

## Member Data Documentation

float CvGBTrees::base_value
| protected

int CvGBTrees::class_count
| protected

CvMat* CvGBTrees::class_labels
| protected

CvDTreeTrainData* CvGBTrees::data
| protected

float CvGBTrees::delta
| protected

CvMat* CvGBTrees::missing
| protected

CvMat* CvGBTrees::orig_response
| protected

CvGBTreesParams CvGBTrees::params
| protected

cv::RNG* CvGBTrees::rng
| protected

CvMat* CvGBTrees::sample_idx
| protected

CvMat* CvGBTrees::subsample_test
| protected

CvMat* CvGBTrees::subsample_train
| protected

CvMat* CvGBTrees::sum_response
| protected

CvMat* CvGBTrees::sum_response_tmp
| protected

CvSeq** CvGBTrees::weak
| protected

CvMat* CvGBTrees::weak_eval
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp